# Test: Extra unknown fields in persona
# Expected: FAIL
# Error code: unrecognized_keys
# Error path: agent.persona
# Error keys: ["extra_field", "another_extra"]

agent:
  metadata:
    id: extra-persona-fields
    name: Extra Persona Fields
    title: Extra Persona
    icon: ❌
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle
    extra_field: Not allowed
    another_extra: Also invalid

  menu:
    - trigger: help
      description: Show help
      action: display_help
